curl -X POST https://api.vozagent.ai/v1/contacts \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"phone_number": "+15551234567",
"email": "john@example.com",
"company": "Acme Inc"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Acme Inc",
"tags": [],
"created_at": "2024-01-15T09:30:00Z",
"updated_at": "2024-01-15T09:30:00Z"
}
Contacts
Create Contact
Create a new contact.
POST
/
v1
/
contacts
curl -X POST https://api.vozagent.ai/v1/contacts \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"phone_number": "+15551234567",
"email": "john@example.com",
"company": "Acme Inc"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Acme Inc",
"tags": [],
"created_at": "2024-01-15T09:30:00Z",
"updated_at": "2024-01-15T09:30:00Z"
}
Retrieve your API Key from your VozAgent Dashboard.
Body parameters
string
required
Contact’s first name.
string
Contact’s last name.
string
required
Phone number in E.164 format (e.g., +15551234567).
string
Contact’s email address.
string
Company or business name.
string[]
Initial tags to assign to the contact.
string
Additional notes about the contact.
Response
Returns the newly created contact object. Status code:201.
curl -X POST https://api.vozagent.ai/v1/contacts \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John",
"last_name": "Doe",
"phone_number": "+15551234567",
"email": "john@example.com",
"company": "Acme Inc"
}'
{
"id": "c1a2b3c4-d5e6-f7a8-b9c0-d1e2f3a4b5c6",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone_number": "+15551234567",
"company": "Acme Inc",
"tags": [],
"created_at": "2024-01-15T09:30:00Z",
"updated_at": "2024-01-15T09:30:00Z"
}
Was this page helpful?

